## libmeshb 7.80

=== CMakeLists.txt ===


################################
# GLOBAL CONFIGURATION VARIABLES
################################

cmake_minimum_required (VERSION 3.7.2)
set (libMeshb_VERSION_MAJOR 7)
set (libMeshb_VERSION_MINOR 80)
project(libMeshb VERSION ${libMeshb_VERSION_MAJOR}.${libMeshb_VERSION_MINOR} LANGUAGES C)

option(WITH_GMF_AIO     "Use Unix low-level and asynchronous I/O for higher speed"       OFF)
option(WITH_GMF_CPACK   "Enable cpack target to generate a zip file containing binaries" OFF)
option(WITH_GMF_CTEST   "Enable ctest ti run basic validation tests"                     OFF)

include (CheckLanguage)
check_language (Fortran)
if(CMAKE_Fortran_COMPILER)
  enable_language(Fortran)
  set(CMAKE_Fortran_MODULE_DIRECTORY ${CMAKE_BINARY_DIR}/modules)
endif()

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif ()

if (CMAKE_HOST_SYSTEM_NAME STREQUAL Linux)
   set (math_LIBRARIES "m")
endif ()

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   if (WIN32)
      set(CMAKE_INSTALL_PREFIX "$ENV{HOMEPATH}/cmakebuilds" CACHE PATH "..." FORCE)
   else ()
      if (DEFINED ENV{OSTYPE} AND DEFINED ENV{MACHTYPE})
         set(CMAKE_INSTALL_PREFIX "$ENV{HOME}/cmakebuilds/$ENV{OSTYPE}-$ENV{MACHTYPE}" CACHE PATH "..." FORCE)
      else ()
         set(CMAKE_INSTALL_PREFIX "$ENV{HOME}/cmakebuilds" CACHE PATH "..." FORCE)
      endif ()
   endif()
endif ()

list (APPEND CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}")

if(WITH_GMF_AIO)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWITH_GMF_AIO")
   IF(${CMAKE_SYSTEM_NAME} MATCHES Linux)
      set(AIO_LIBRARIES rt)
   endif()
endif()


#######################################
# SET FILES AND DIRECTORIES TO BE BUILT
#######################################

include_directories (${PROJECT_SOURCE_DIR}/sources)
include_directories (${PROJECT_SOURCE_DIR}/utilities)
add_subdirectory (sources)
add_subdirectory (examples)
add_subdirectory (utilities)

install (FILES LICENSE.txt copyright.txt DESTINATION share/libMeshb)
install (DIRECTORY sample_meshes DESTINATION share/libMeshb)


######################################
# SET PACKAGE AND DEPLOYMENT VARIABLES
######################################

if(WITH_GMF_CTEST)
   enable_testing()
   include_directories(${PROJECT_SOURCE_DIR}/testing)
   add_subdirectory(testing)
endif()

if (WITH_GMF_CPACK)
   include (InstallRequiredSystemLibraries)
   set (CPACK_GENERATOR TXZ)
   set (CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/copyright.txt)
   set (CPACK_PACKAGE_VERSION_MAJOR ${libMeshb_VERSION_MAJOR})
   set (CPACK_PACKAGE_VERSION_MINOR ${libMeshb_VERSION_MINOR})
   set (CPACK_COMPONENTS_ALL applications examples libraries headers)
   include (CPack)
endif ()


##################################
# EXPORT CMAKE PACKAGE INFORMATION
##################################

include(CMakePackageConfigHelpers)
file(WRITE ${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
"include(\${CMAKE_CURRENT_LIST_DIR}/meshb-target.cmake)
include(\${CMAKE_CURRENT_LIST_DIR}/libMeshb-target.cmake)
set(libMeshb_INCLUDE_DIRS ${CMAKE_INSTALL_PREFIX}/include)
set(libMeshb_LINK_DIRS ${CMAKE_INSTALL_PREFIX}/lib)
set(libMeshb_LIBRARIES Meshb.7 ${AIO_LIBRARIES})
set(libMeshb_Fortran_LIBRARIES Meshbf.7 ${AIO_LIBRARIES})
set(libMeshb_FOUND TRUE)
")
write_basic_package_version_file(
   "${PROJECT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
   VERSION ${PROJECT_VERSION}
   COMPATIBILITY SameMajorVersion)
install(FILES
   "${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
   "${PROJECT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
   DESTINATION lib/cmake/${PROJECT_NAME})


##################################
# PRINT OPERATIONS TO BE CONDUCTED
##################################

message("-- Build mode            : " ${CMAKE_BUILD_TYPE})
message("-- cpack target enabled  : " ${WITH_GMF_CPACK})
message("-- ctest target enabled  : " ${WITH_GMF_CTEST})
message("-- Asynchronous IO       : " ${WITH_GMF_AIO})
message("-- Install directory     : " ${CMAKE_INSTALL_PREFIX})

=== examples/CMakeLists.txt ===

##################
# BUILD C EXAMPLES
##################

add_executable(test_libmeshb test_libmeshb.c)
target_link_libraries(test_libmeshb Meshb.7 ${AIO_LIBRARIES})
install (TARGETS test_libmeshb DESTINATION share/libMeshb/examples COMPONENT examples)

add_executable(test_libmeshb_block test_libmeshb_block.c)
target_link_libraries(test_libmeshb_block Meshb.7 ${AIO_LIBRARIES})
install (TARGETS test_libmeshb_block DESTINATION share/libMeshb/examples COMPONENT examples)

add_executable(test_libmeshb_sol test_libmeshb_sol.c)
target_link_libraries(test_libmeshb_sol Meshb.7 ${AIO_LIBRARIES})
install (TARGETS test_libmeshb_sol DESTINATION share/libMeshb/examples COMPONENT examples)

add_executable(test_libmeshb_HO test_libmeshb_HO.c)
target_link_libraries(test_libmeshb_HO Meshb.7 ${AIO_LIBRARIES})
install (TARGETS test_libmeshb_HO DESTINATION share/libMeshb/examples COMPONENT examples)

add_executable(test_libmeshb_p2_sol test_libmeshb_p2_sol.c)
target_link_libraries(test_libmeshb_p2_sol Meshb.7 ${AIO_LIBRARIES})
install (TARGETS test_libmeshb_p2_sol DESTINATION share/libMeshb/examples COMPONENT examples)

add_executable(test_polyhedra test_polyhedra.c ${PROJECT_SOURCE_DIR}/utilities/libmeshb7_helpers.c)
target_link_libraries(test_polyhedra Meshb.7 ${AIO_LIBRARIES})
install (TARGETS test_polyhedra DESTINATION share/libMeshb/examples COMPONENT examples)

add_executable(mesh2poly mesh2poly.c)
target_link_libraries(mesh2poly Meshb.7 ${AIO_LIBRARIES})
install (TARGETS mesh2poly DESTINATION share/libMeshb/examples COMPONENT examples)


########################
# BUILD FORTRAN EXAMPLES
########################


if (CMAKE_Fortran_COMPILER)
   add_executable(test_libmeshb_f77 test_libmeshb.f)
   target_link_libraries(test_libmeshb_f77 Meshb.7 ${AIO_LIBRARIES})
   install (TARGETS test_libmeshb_f77 DESTINATION share/libMeshb/examples COMPONENT examples)
   
   add_executable(test_libmeshb_f90 test_libmeshb.f90)
   target_link_libraries(test_libmeshb_f90 Meshb.7 ${AIO_LIBRARIES})
   install (TARGETS test_libmeshb_f90 DESTINATION share/libMeshb/examples COMPONENT examples)
   
   add_executable(test_libmeshb_block_f77 test_libmeshb_block.f)
   target_link_libraries(test_libmeshb_block_f77 Meshb.7 ${AIO_LIBRARIES})
   install (TARGETS test_libmeshb_block_f77 DESTINATION share/libMeshb/examples COMPONENT examples)
   
   add_executable(test_libmeshb_block_f90 test_libmeshb_block.f90)
   target_link_libraries(test_libmeshb_block_f90 Meshb.7 ${AIO_LIBRARIES})
   install (TARGETS test_libmeshb_block_f90 DESTINATION share/libMeshb/examples COMPONENT examples)
   
   add_executable(test_libmeshb_HO_f90 test_libmeshb_HO.f90)
   target_link_libraries(test_libmeshb_HO_f90 Meshb.7 ${AIO_LIBRARIES})
   install (TARGETS test_libmeshb_HO_f90 DESTINATION share/libMeshb/examples COMPONENT examples)


   #add_executable(test_libmeshb_block_bindC test_libmeshb_block_bindC.f90)
   #target_link_libraries(test_libmeshb_block_bindC Meshb.7 ${AIO_LIBRARIES})
   #install (TARGETS test_libmeshb_block_bindC DESTINATION share/libMeshb/examples COMPONENT examples)

endif ()

=== sources/CMakeLists.txt ===

##########################
# BUILD THE STATIC LIBRARY
##########################

if(CMAKE_Fortran_COMPILER)
  add_library(Meshb.7 libmeshb7.c ../utilities/libmeshb7_helpers.c  libmeshb7_mod.f90)
else()
  add_library(Meshb.7 libmeshb7.c ../utilities/libmeshb7_helpers.c)
endif()

install (FILES libmeshb7.h libmeshb7.ins ../utilities/libmeshb7_helpers.h DESTINATION include COMPONENT headers)
target_include_directories(
  Meshb.7 PUBLIC $<INSTALL_INTERFACE:include>
                 $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/sources>)
install (TARGETS Meshb.7 EXPORT meshb-target DESTINATION lib COMPONENT libraries)
install (EXPORT meshb-target NAMESPACE ${PROJECT_NAME}::
         DESTINATION lib/cmake/${PROJECT_NAME})
install (TARGETS Meshb.7 EXPORT libMeshb-target DESTINATION lib COMPONENT libraries)

install(DIRECTORY ${CMAKE_Fortran_MODULE_DIRECTORY}/ DESTINATION include)

install (EXPORT libMeshb-target DESTINATION lib/cmake/${PROJECT_NAME})
export  (PACKAGE libMeshb)

=== utilities/CMakeLists.txt ===

#################
# BUILD UTILITIES
#################

add_executable(transmesh transmesh.c ../sources/libmeshb7.c)
target_compile_options (transmesh PRIVATE -DTRANSMESH)
target_link_libraries (transmesh Meshb.7 ${AIO_LIBRARIES})
install (TARGETS transmesh DESTINATION bin COMPONENT applications)

add_executable(mshinfo mshinfo.c)
target_link_libraries (mshinfo Meshb.7 ${AIO_LIBRARIES})
install (TARGETS mshinfo DESTINATION bin COMPONENT applications)

add_executable(speed_test speed_test.c)
target_link_libraries (speed_test Meshb.7 ${AIO_LIBRARIES})
install (TARGETS speed_test DESTINATION bin COMPONENT applications)

add_executable(ugrid2mesh ugrid2mesh.c)
target_link_libraries (ugrid2mesh Meshb.7 ${AIO_LIBRARIES})
install (TARGETS ugrid2mesh DESTINATION bin COMPONENT applications)

=== legacy_sources/v2/Makefile ===

# Shell commands

MKDIR = mkdir
RM    = rm -f


# Definition of working directories

LIBNAME = libmesh.a
LIBDIR = $(HOME)/lib/$(ARCHI)
INCDIR = $(HOME)/include
OBJDIR  = objects/$(ARCHI)
DIRS    = objects $(LIBDIR) $(OBJDIR)


# Selection of the compiler and it's options depending on the architecture

ifeq ($(ARCHI),sparc)
	CC     = acc
	CFLAGS = -O4 -c -I. -I$(INCDIR) -libmil -cg92
endif

ifeq ($(ARCHI),hppa)
	CC     = c89
	CFLAGS = +O2 -c -I . -I $(INCDIR)
endif

ifeq ($(ARCHI),i86)
	CC     = gcc
	CFLAGS = -mpentiumpro -O6 -c -I . -I $(INCDIR) -Wuninitialized -Wunused
endif

ifeq ($(ARCHI),rs6000)
	CC     = c89
	CFLAGS = -O -c -I. -I$(INCDIR)
endif

ifeq ($(ARCHI),macintel)
	CC     = gcc
	CFLAGS = -O3 -m64 -c -I. -I$(INCDIR)
endif

ifeq ($(ARCHI),macarm)
	CC     = gcc
	CFLAGS = -O3 -m64 -c -I. -I$(INCDIR)
endif


# List of objects

OBJS = $(OBJDIR)/libmesh.o


# List of headers

INCS = *.h


# Making of the library

lib : $(DIRS) $(OBJS)
	cp $(OBJS) $(LIBDIR)/$(LIBNAME)
	cp $(INCS) $(INCDIR)


# Creation of objects

$(OBJDIR)/libmesh.o : libmesh.c
	$(CC) $(CFLAGS) libmesh.c -o $@


# Creation of working directories

$(DIRS):
	@[ -d $@ ] || $(MKDIR) $@


# Cleaning of the objects

clean:
	$(RM) $(OBJS)

=== legacy_sources/v3/Makefile ===


#-----------------------------------------------------------#
#															#
#						LIBMESH3							#
#															#
#-----------------------------------------------------------#
#															#
#	Description:		multi-system makefile (gmake only)	#
#	Author:				Loic MARECHAL						#
#	Creation date:		mar 08 2004							#
#	Last modification:	mar 09 2004							#
#															#
#-----------------------------------------------------------#


# Choose of the compiler depending on the architecture

ifeq ($(ARCHI), ppc)
	CC      = gcc
endif

ifeq ($(ARCHI), sparc)
	CC = acc
endif

ifeq ($(ARCHI), hppa)
	CC = c89
endif

ifeq ($(ARCHI), ia64)
	CC = c89
endif

ifeq ($(ARCHI), i86)
	CC = iccbin
endif

ifeq ($(ARCHI), mips)
	CC = c89
endif


# Working directories

LIBDIR  = $(HOME)/lib/$(ARCHI)
INCDIR  = $(HOME)/include
SRCSDIR = sources
OBJSDIR = objects/$(ARCHI)
ARCHDIR = archives
DIRS    = objects $(LIBDIR) $(OBJSDIR) $(ARCHDIR) $(INCDIR)
VPATH   = $(SRCSDIR)


# Files to be compiled

SRCS = $(wildcard $(SRCSDIR)/*.c)
HDRS = $(wildcard $(SRCSDIR)/*.h)
OBJS = $(patsubst $(SRCSDIR)%, $(OBJSDIR)%, $(SRCS:.c=.o))
LIB = libmesh3.a


# Definition of the compiling implicit rule

$(OBJSDIR)/%.o : $(SRCSDIR)/%.c
	$(CC) -c -O -I$(SRCSDIR) $< -o $@


# Install the library

$(LIBDIR)/$(LIB): $(DIRS) $(OBJS)
	cp $(OBJSDIR)/libmesh3.o $@
	cp $(SRCSDIR)/libmesh3.h $(INCDIR)


# Objects depends on headers

$(OBJS): $(HDRS)


# Build the working directories

$(DIRS):
	@[ -d $@ ] || mkdir $@


# Remove temporary files

clean:
	rm -f $(OBJS) $(LIBDIR)/$(LIB)

# Build a dated archive including sources, patterns and makefile

tar: $(DIRS)
	tar czf $(ARCHDIR)/libmesh3.`date +"%Y.%m.%d"`.tgz sources docs tests Makefile

=== legacy_sources/v4/Makefile ===


#-----------------------------------------------------------#
#															#
#							LIBMESH4						#
#															#
#-----------------------------------------------------------#
#															#
#	Description:		multi-system makefile (gmake only)	#
#	Author:				Loic MARECHAL						#
#	Creation date:		feb 11 2005							#
#	Last modification:	feb 18 2005							#
#															#
#-----------------------------------------------------------#


# Choose of the compiler depending on the architecture

ifeq ($(ARCHI), ppc)
	CC      = xlc
endif

ifeq ($(ARCHI), sparc)
	CC = acc
endif

ifeq ($(ARCHI), hppa)
	CC = c89
endif

ifeq ($(ARCHI), ia64)
	CC = c89
endif

ifeq ($(ARCHI), i86)
	CC = iccbin
endif

ifeq ($(ARCHI), mips)
	CC = c89
endif


# Working directories

LIBDIR  = $(HOME)/lib/$(ARCHI)
INCDIR  = $(HOME)/include
SRCSDIR = sources
OBJSDIR = objects/$(ARCHI)
ARCHDIR = archives
DIRS    = objects $(LIBDIR) $(OBJSDIR) $(ARCHDIR) $(INCDIR)
VPATH   = $(SRCSDIR)


# Files to be compiled

SRCS = $(wildcard $(SRCSDIR)/*.c)
HDRS = $(wildcard $(SRCSDIR)/*.h)
OBJS = $(patsubst $(SRCSDIR)%, $(OBJSDIR)%, $(SRCS:.c=.o))
LIB = libmesh4.a


# Definition of the compiling implicit rule

$(OBJSDIR)/%.o : $(SRCSDIR)/%.c
	$(CC) -c -O -I$(SRCSDIR) $< -o $@


# Install the library

$(LIBDIR)/$(LIB): $(DIRS) $(OBJS)
	cp $(OBJSDIR)/libmesh4.o $@
	cp $(SRCSDIR)/*.h $(INCDIR)


# Objects depends on headers

$(OBJS): $(HDRS)


# Build the working directories

$(DIRS):
	@[ -d $@ ] || mkdir $@


# Remove temporary files

clean:
	rm -f $(OBJS) $(LIBDIR)/$(LIB)

# Build a dated archive including sources, patterns and makefile

tar: $(DIRS)
	tar czf $(ARCHDIR)/libmesh4.`date +"%Y.%m.%d"`.tgz sources docs tests Makefile

=== legacy_sources/v5/Makefile ===


#-----------------------------------------------------------#
#															#
#							LIBMESH5						#
#															#
#-----------------------------------------------------------#
#															#
#	Description:		multi-system makefile (gmake only)	#
#	Author:				Loic MARECHAL						#
#	Creation date:		feb 16 2007							#
#	Last modification:	may 29 2009							#
#															#
#-----------------------------------------------------------#


CC     = gcc
CFLAGS = -O3 -m64 -Wall


# Working directories

LIBDIR  = $(HOME)/lib/$(ARCHI)
INCDIR  = $(HOME)/include
SRCSDIR = sources
OBJSDIR = objects/$(ARCHI)
ARCHDIR = archives
DIRS    = objects $(LIBDIR) $(OBJSDIR) $(ARCHDIR) $(INCDIR)
VPATH   = $(SRCSDIR)


# Files to be compiled

SRCS = $(wildcard $(SRCSDIR)/*.c)
HDRS = $(wildcard $(SRCSDIR)/*.h)
OBJS = $(patsubst $(SRCSDIR)%, $(OBJSDIR)%, $(SRCS:.c=.a))


# Definition of the compiling implicit rule

$(OBJSDIR)/%.a : $(SRCSDIR)/%.c
	$(CC) -c $(CFLAGS) -I$(SRCSDIR) $< -o $@


# Install the library

$(LIBDIR)/$(LIB): $(DIRS) $(OBJS)
	cp $(OBJSDIR)/*.a $@
	cp $(SRCSDIR)/*.h $(INCDIR)
	cp $(SRCSDIR)/*.ins $(INCDIR)
	cp $(SRCSDIR)/*.f90 $(INCDIR)


# Objects depends on headers

$(OBJS): $(HDRS)

# Fortran API

fortran: $(SRCSDIR)/api/generate_fortran_api.c
	$(CC) $(CFLAGS) -I$(SRCSDIR) -lm $< -o $(SRCSDIR)/generate_fortran_api

# Build the working directories

$(DIRS):
	@[ -d $@ ] || mkdir $@


# Remove temporary files

clean:
	rm -f $(OBJS)

# Build a dated archive including sources, patterns and makefile

tar: $(DIRS)
	tar czf $(ARCHDIR)/libmesh5.`date +"%Y.%m.%d"`.tgz sources tests Makefile

zip: $(DIRS)
	archive_lm5.sh

=== legacy_sources/v6/Makefile ===


#-----------------------------------------------------------#
#															#
#							LIBMESH6						#
#															#
#-----------------------------------------------------------#
#															#
#	Description:		multi-system makefile (gmake only)	#
#	Author:				Loic MARECHAL						#
#	Creation date:		feb 16 2007							#
#	Last modification:	may 17 2013							#
#															#
#-----------------------------------------------------------#


CC     = /usr/local/bin/gcc
CFLAGS = -O3


# Working directories

LIBDIR  = $(HOME)/lib/$(ARCHI)
INCDIR  = $(HOME)/include
SRCSDIR = sources
OBJSDIR = objects/$(ARCHI)
ARCHDIR = archives
DIRS    = objects $(LIBDIR) $(OBJSDIR) $(ARCHDIR) $(INCDIR)
VPATH   = $(SRCSDIR)


# Files to be compiled

SRCS = $(wildcard $(SRCSDIR)/*.c)
HDRS = $(wildcard $(SRCSDIR)/*.h)
OBJS = $(patsubst $(SRCSDIR)%, $(OBJSDIR)%, $(SRCS:.c=.a))


# Definition of the compiling implicit rule

$(OBJSDIR)/%.a : $(SRCSDIR)/%.c
	$(CC) -c $(CFLAGS) -I$(SRCSDIR) $< -o $@


# Install the library

$(LIBDIR)/$(LIB): $(DIRS) $(OBJS)
	cp $(OBJSDIR)/*.a $@
	cp $(SRCSDIR)/*.h $(INCDIR)
	cp $(SRCSDIR)/*.ins $(INCDIR)
	cp $(SRCSDIR)/*.f90 $(INCDIR)


# Objects depends on headers

$(OBJS): $(HDRS)

# Fortran API

fortran: $(SRCSDIR)/api/generate_fortran_api.c
	$(CC) $(CFLAGS) -I$(SRCSDIR) $< -o $(SRCSDIR)/generate_fortran_api -lm

# Build the working directories

$(DIRS):
	@[ -d $@ ] || mkdir $@


# Remove temporary files

clean:
	rm -f $(OBJS)

# Build a dated archive including sources, patterns and makefile

tar: $(DIRS)
	tar czf $(ARCHDIR)/libmesh6.`date +"%Y.%m.%d"`.tgz sources tests Makefile

zip: $(DIRS)
	archive_lm6.sh

=== legacy_sources/v7alpha/Makefile ===


#-----------------------------------------------------------#
#															#
#							LIBMESH7						#
#															#
#-----------------------------------------------------------#
#															#
#	Description:		multi-system makefile (gmake only)	#
#	Author:				Loic MARECHAL						#
#	Creation date:		dec 08 2015							#
#	Last modification:	dec 08 2015							#
#															#
#-----------------------------------------------------------#


CC     = /usr/bin/gcc
CFLAGS = -O3


# Working directories

LIBDIR  = $(HOME)/lib/$(ARCHI)
INCDIR  = $(HOME)/include
SRCSDIR = sources
OBJSDIR = objects/$(ARCHI)
ARCHDIR = archives
DIRS    = objects $(LIBDIR) $(OBJSDIR) $(ARCHDIR) $(INCDIR)
VPATH   = $(SRCSDIR)


# Files to be compiled

SRCS = $(wildcard $(SRCSDIR)/*.c)
HDRS = $(wildcard $(SRCSDIR)/*.h)
OBJS = $(patsubst $(SRCSDIR)%, $(OBJSDIR)%, $(SRCS:.c=.a))


# Definition of the compiling implicit rule

$(OBJSDIR)/%.a : $(SRCSDIR)/%.c
	$(CC) -c $(CFLAGS) -I$(SRCSDIR) $< -o $@


# Install the library

$(LIBDIR)/$(LIB): $(DIRS) $(OBJS)
	cp $(OBJSDIR)/*.a $@
	cp $(SRCSDIR)/*.h $(INCDIR)
	cp $(SRCSDIR)/*.ins $(INCDIR)


# Objects depends on headers

$(OBJS): $(HDRS)

# Build the working directories

$(DIRS):
	@[ -d $@ ] || mkdir $@


# Remove temporary files

clean:
	rm -f $(OBJS)

# Build a dated archive including sources, patterns and makefile

tar: $(DIRS)
	tar czf $(ARCHDIR)/libmesh7.`date +"%Y.%m.%d"`.tgz sources tests Makefile

zip: $(DIRS)
	archive_lm7.sh

=== debian/changelog ===
libmeshb (7.80-4) unstable; urgency=medium

  * Fixed FTBFS across all architectures (Closes: #1092537)
  * Not eliding exported data symbols

 -- Dima Kogan <dkogan@debian.org>  Sat, 11 Jan 2025 16:51:46 -0800

libmeshb (7.80-3) unstable; urgency=medium

  * Build the library with -fPIC

 -- Dima Kogan <dkogan@debian.org>  Mon, 06 Jan 2025 09:37:50 -0800

libmeshb (7.80-2) unstable; urgency=medium

  * GmfKwdFmt is private
    So we can link this static library into other shared libraries

 -- Dima Kogan <dkogan@debian.org>  Fri, 18 Oct 2024 14:18:36 -0700

libmeshb (7.80-1) unstable; urgency=medium

  * Initial release into Debian (Closes: #1085266)

 -- Dima Kogan <dkogan@debian.org>  Thu, 17 Oct 2024 07:36:49 -0700

=== debian/control ===
Source: libmeshb
Priority: optional
Section: devel
Build-Depends:
 debhelper (>= 13),
 cmake,
 gfortran
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.6.0
Homepage: https://github.com/LoicMarechal/libMeshb/
Vcs-Git: https://salsa.debian.org/science-team/libmeshb.git
Vcs-Browser: https://salsa.debian.org/science-team/libmeshb

Package: libmeshb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A library to handle the *.meshb file format
 The Gamma Mesh Format (GMF) and the associated library libMeshb provide
 programers of simulation and meshing software with an easy way to store their
 meshes and physical solutions. The GMF features more than 200 kinds of data
 types, like vertex, polyhedron, normal vector or vector solution field. The
 libMeshb provides a convenient way to move data between those files, via
 keyword tags, and the user's own structures. Transparent handling of ASCII &
 binary files. Transparent handling of little & big endian files. Optional ultra
 fast asynchronous and low level transfers. Can call user's own pre and post
 processing routines in a separate thread while accessing a file

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=cmake


override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	mkdir debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
https://github.com/LoicMarechal/libMeshb/tags .*/v(\d\S+)\.tar\.gz
